grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.21-49-gd4582ed


From: Jim Meyering
Subject: grep branch, master, updated. v2.21-49-gd4582ed
Date: Fri, 17 Jul 2015 21:15:57 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  d4582ed5a6141d5935d962335ead2705624f7e13 (commit)
      from  c5c70eae261133d71a9436557d998a48aaf0a5fe (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=d4582ed5a6141d5935d962335ead2705624f7e13


commit d4582ed5a6141d5935d962335ead2705624f7e13
Author: Jim Meyering <address@hidden>
Date:   Fri Jul 17 14:02:35 2015 -0700

    tests: avoid FS-dependent false-positive failure
    
    * tests/include-exclude: Sort file name list, so that this test
    is not sensitive to the order in which those names are returned
    via readdir. I noticed the failure on a Fedora 21 system using ext4.
    Also fix a typo: s/framework_failure+/framework_failure_/

diff --git a/tests/include-exclude b/tests/include-exclude
index 8b2f5aa..cdbb9d6 100755
--- a/tests/include-exclude
+++ b/tests/include-exclude
@@ -14,7 +14,7 @@ printf '%s\n' x/a:aaa x/b:bbb     > exp-not-dir || 
framework_failure_
 printf '%s\n' x/a:aaa             > exp-a       || framework_failure_
 printf '%s\n' a:aaa               > exp-aa      || framework_failure_
 printf '%s\n' aaa                 > exp-aaa     || framework_failure_
-printf '%s\n' ./x/a ./x/b ./x/dir/d > exp-dotnames || framework_failure+
+printf '%s\n' ./x/a ./x/b ./x/dir/d | sort > exp-dotnames || framework_failure_
 
 grep -r --exclude='a*'    . x > out || fail=1
 sort out > k && mv k out
@@ -59,7 +59,7 @@ compare exp-a out || fail=1
 (cd x && grep -r --exclude-dir=. '^aaa$') > out || fail=1
 compare exp-aa out || fail=1
 
-grep --exclude=- '^aaa$' - < x/a > out || fail=1
+grep --exclude=- '^aaa$' - < x/a | sort > out || fail=1
 compare exp-aaa out || fail=1
 
 for exclude in 'x' 'x*'; do

-----------------------------------------------------------------------

Summary of changes:
 tests/include-exclude |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]